/*
 * @Date: 2025-11-03 08:48:44
 * @LastEditors: lip
 * @LastEditTime: 2025-11-03 12:48:41
 */
// 查询个人需求信息列表
// import { post, get } from '@/utilsRc/request'
import request from '@/utilsRc/request'
export function listPersonDemand(query) {
  return request({
    method: 'get',
    url: '/manage/personDemand/list',
  
    params: query
  })
}
export function delPersonDemand(id) {
  return request({
    url: '/manage/personDemand/' + id,
    method: 'delete'
  })
}


// 查询个人需求信息详细
export function getPersonDemand(id) {
  return request({
    method: 'get',
    url: '/manage/personDemand/' + id,
  })
}

// 新增个人需求信息
export function addPersonDemand(data) {
  // 确保传递数据前进行日志输出
  console.log('addPersonDemand函数接收到的数据:', data);
  return request({
    url: '/manage/personDemand',
    method: 'post', // 修改为大写POST，确保请求参数正确传递
    data: data
  })
}

// 修改个人需求信息
export function updatePersonDemand(data) {
  return request({
    url: '/manage/personDemand',
    method: 'put',
    data: data
  })
}

